PasskeyRegisterFinish

POST/auth/v1/users/current/passkeys/register/finish

Request Body

required
application/json
{
  "$ref": "#/components/schemas/auth.v1.PasskeyRegisterFinishRequest",
  "$ref-value": {
    "type": "object",
    "properties": {
      "user_id": {
        "type": "string",
        "title": "user_id"
      },
      "session_id": {
        "type": "string",
        "title": "session_id"
      },
      "name": {
        "type": "string",
        "title": "name"
      },
      "credential": {
        "type": "string",
        "title": "credential",
        "format": "byte"
      }
    },
    "title": "PasskeyRegisterFinishRequest",
    "additionalProperties": false
  }
}

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/auth.v1.PasskeyRegisterFinishResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "passkey_id": {
        "type": "string",
        "title": "passkey_id"
      },
      "name": {
        "type": "string",
        "title": "name"
      }
    },
    "title": "PasskeyRegisterFinishResponse",
    "additionalProperties": false
  }
}
curl -X POST "https://api.rixl.com/auth/v1/users/current/passkeys/register/finish" \
  -H "Content-Type: application/json" \
  -d '{}'

Success

application/json

{
  "$ref": "#/components/schemas/auth.v1.PasskeyRegisterFinishResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "passkey_id": {
        "type": "string",
        "title": "passkey_id"
      },
      "name": {
        "type": "string",
        "title": "name"
      }
    },
    "title": "PasskeyRegisterFinishResponse",
    "additionalProperties": false
  }
}